org.keycloak.models.mongo.keycloak.adapters

## Class OAuthClientAdapter

- java.lang.Object
- - org.keycloak.models.mongo.keycloak.adapters.AbstractMongoAdapter<T>
  - - org.keycloak.models.mongo.keycloak.adapters.ClientAdapter<MongoOAuthClientEntity>
    - - org.keycloak.models.mongo.keycloak.adapters.OAuthClientAdapter

- All Implemented Interfaces:
    ClientModel, OAuthClientModel

      public class OAuthClientAdapter
      extends ClientAdapter<MongoOAuthClientEntity>
      implements OAuthClientModel

  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.mongo.keycloak.adapters.ClientAdapter

      `clientEntity, session`

    - ### Fields inherited from class org.keycloak.models.mongo.keycloak.adapters.AbstractMongoAdapter

      `invocationContext`

    - ### Fields inherited from interface org.keycloak.models.ClientModel

      `PRIVATE_KEY, PUBLIC_KEY, X509CERTIFICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthClientAdapter(KeycloakSession session, RealmModel realm, MongoOAuthClientEntity oauthClientEntity, MongoStoreInvocationContext invContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `boolean` | `isDirectGrantsOnly()`
    `void` | `setClientId(String id)`
    `void` | `setDirectGrantsOnly(boolean flag)`

    - ### Methods inherited from class org.keycloak.models.mongo.keycloak.adapters.ClientAdapter

      `addProtocolMapper, addRedirectUri, addScopeMapping, addWebOrigin, deleteScopeMapping, entityToModel, getAttribute, getAttributes, getClientId, getId, getIdentityProviders, getMongoEntity, getMongoEntityAsClient, getNotBefore, getProtocol, getProtocolMapperById, getProtocolMapperByName, getProtocolMapperEntityByName, getProtocolMappers, getProtocolMapperyEntityById, getRealm, getRealmScopeMappings, getRedirectUris, getScopeMappings, getSecret, getWebOrigins, hasScope, isAllowedRetrieveTokenFromIdentityProvider, isEnabled, isFrontchannelLogout, isFullScopeAllowed, isPublicClient, removeAttribute, removeProtocolMapper, removeRedirectUri, removeWebOrigin, setAttribute, setEnabled, setFrontchannelLogout, setFullScopeAllowed, setNotBefore, setProtocol, setPublicClient, setRedirectUris, setSecret, setWebOrigins, updateIdentityProviders, updateProtocolMapper, validateSecret`

    - ### Methods inherited from class org.keycloak.models.mongo.keycloak.adapters.AbstractMongoAdapter

      `getMongoStore, updateMongoEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.ClientModel

      `addProtocolMapper, addRedirectUri, addScopeMapping, addWebOrigin, deleteScopeMapping, getAttribute, getAttributes, getClientId, getId, getIdentityProviders, getNotBefore, getProtocol, getProtocolMapperById, getProtocolMapperByName, getProtocolMappers, getRealm, getRealmScopeMappings, getRedirectUris, getScopeMappings, getSecret, getWebOrigins, hasScope, isAllowedRetrieveTokenFromIdentityProvider, isEnabled, isFrontchannelLogout, isFullScopeAllowed, isPublicClient, removeAttribute, removeProtocolMapper, removeRedirectUri, removeWebOrigin, setAttribute, setEnabled, setFrontchannelLogout, setFullScopeAllowed, setNotBefore, setProtocol, setPublicClient, setRedirectUris, setSecret, setWebOrigins, updateIdentityProviders, updateProtocolMapper, validateSecret`

- - ### Constructor Detail

    - #### OAuthClientAdapter

          public OAuthClientAdapter(KeycloakSession session,
                            RealmModel realm,
                            MongoOAuthClientEntity oauthClientEntity,
                            MongoStoreInvocationContext invContext)

  - ### Method Detail

    - #### setClientId

          public void setClientId(String id)

      Specified by:
        `setClientId` in interface `OAuthClientModel`

    - #### isDirectGrantsOnly

          public boolean isDirectGrantsOnly()

      Specified by:
        `isDirectGrantsOnly` in interface `ClientModel`

    - #### setDirectGrantsOnly

          public void setDirectGrantsOnly(boolean flag)

      Specified by:
        `setDirectGrantsOnly` in interface `ClientModel`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AbstractMongoAdapter<MongoOAuthClientEntity>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractMongoAdapter<MongoOAuthClientEntity>`

Copyright © 2015. All rights reserved.